# Class LearnerMaster

java.lang.Object
org.apache.zookeeper.server.quorum.LearnerMaster

Direct Known Subclasses:
  `Leader, ObserverMaster`

public abstract class LearnerMaster extends Object
interface for keeping Observers in sync

## Constructor Summary

Constructors
Constructor
Description
`LearnerMaster()`

## Method Summary

Modifier and Type
Method
Description
`LearnerSyncThrottler`
`getLearnerDiffSyncThrottler()`
diff sync throttler
`LearnerSyncThrottler`
`getLearnerSnapSyncThrottler()`
snap sync throttler
`int`
`getMaxConcurrentDiffSyncs()`
`int`
`getMaxConcurrentSnapSyncs()`
`void`
`setMaxConcurrentDiffSyncs(int maxConcurrentDiffSyncs)`
`void`
`setMaxConcurrentSnapSyncs(int maxConcurrentSnapSyncs)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LearnerMaster

public LearnerMaster()

## Method Details

### getMaxConcurrentSnapSyncs

public int getMaxConcurrentSnapSyncs()

### setMaxConcurrentSnapSyncs

public void setMaxConcurrentSnapSyncs(int maxConcurrentSnapSyncs)

### getMaxConcurrentDiffSyncs

public int getMaxConcurrentDiffSyncs()

### setMaxConcurrentDiffSyncs

public void setMaxConcurrentDiffSyncs(int maxConcurrentDiffSyncs)

### getLearnerSnapSyncThrottler

public LearnerSyncThrottler getLearnerSnapSyncThrottler()
snap sync throttler

Returns:
  snapshot throttler

### getLearnerDiffSyncThrottler

public LearnerSyncThrottler getLearnerDiffSyncThrottler()
diff sync throttler

Returns:
  diff throttler